/*
 *  Copyright 2003-2014  Mikhail Kryshen <mikhail@kryshen.net>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.games1729.shariks;

import java.awt.*;
import java.awt.image.*;
import java.net.*;

public class Applet extends java.applet.Applet {
    private BufferStrategy bs = null;
    private Game game;

    public void init() {
	setIgnoreRepaint(true);

	String skin = getParameter("skin");
	if (skin == null)
	    skin = "skins/default.bin";
    
	if (bs == null) {
	    BufferCapabilities bc = new BufferCapabilities
		(new ImageCapabilities(false),
		 new ImageCapabilities(false), null);
	    
	    bs = new BltBufferStrategy(2, bc) {};
	}

        game = new Game(this, bs);

	requestFocus();	       

	try {
            game.startLoad(
                    (new URL(getCodeBase(), skin)).openStream());
	} catch (Exception e) {
	    game.setStatus("Error loading skin:\n" + e);
	}
        
        game.start(true);
    }

    public void stop() {
        game.suspend();
    }

    public void start() {
        game.resume();
    }

    public void destroy() {
	removeAll();
    }
}
